function init(hero) {
    hero.setName("Galactus/Galan");
    hero.setTier(10);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:cosmic_entity");
    hero.addAttribute("PUNCH_DAMAGE", 12.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("MAX_HEALTH", 5.0, 0);

    hero.addKeyBind("CHARGED_BEAM", "Cosmic Beam", 1);   
    hero.addKeyBind("TELEPORT", "Teleport", 2);
	hero.addKeyBind("TELEKINESIS", "Telekinesis", 3);
    hero.addKeyBindFunc("func_GIANT_MODE", giantModeKey, "key.giantMode", 4);
    hero.addKeyBind("SHIELD", "Forcefield", 5);
    
    hero.setDefaultScale(1.1);
    hero.setHasProperty(hasProperty);
}

function giantModeKey(player, manager) {
    var flag = player.getData("fiskheroes:dyn/giant_mode");
    manager.setData(player, "fiskheroes:dyn/giant_mode", !flag);
    manager.setData(player, "fiskheroes:size_state", flag ? -1 : 1);
    return true;
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

